Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.doc.gradle
[Groovy] Class PublishGuide

    java.lang.Object
      org.gradle.api.DefaultTask
          grails.doc.gradle.PublishGuide

    class PublishGuide
    extends DefaultTask

Gradle task for generating a gdoc-based HTML user guide.

Property Summary
`java.lang.String` | `language`
`java.util.Collection` | `macros`
`java.util.List` | `propertiesFiles`
`java.io.File` | `resourcesDir`
`java.io.File` | `sourceDir`
`java.io.File` | `targetDir`
`java.io.File` | `workDir`

Method Summary
`java.lang.Object` | `publishGuide()`

Property Detail

### language

    @Input
    java.lang.String language

### macros

    java.util.Collection macros

### propertiesFiles

    @Input
    java.util.List propertiesFiles

### resourcesDir

    @InputDirectory
    java.io.File resourcesDir

### sourceDir

    @InputDirectory
    java.io.File sourceDir

### targetDir

    @OutputDirectory
    java.io.File targetDir

### workDir

    java.io.File workDir

Method Detail

### publishGuide

    @TaskAction
    java.lang.Object publishGuide()

Groovy Documentation